import type { TransformResult } from '@astrojs/compiler';
import type { AstroConfig } from '../../@types/astro';
import type { TransformStyle } from './types';
declare type CompileResult = TransformResult & {
    cssDeps: Set<string>;
    source: string;
};
export interface CompileProps {
    config: AstroConfig;
    filename: string;
    moduleId: string;
    source: string;
    transformStyle: TransformStyle;
}
export declare function isCached(config: AstroConfig, filename: string): boolean;
export declare function getCachedSource(config: AstroConfig, filename: string): string | null;
export declare function invalidateCompilation(config: AstroConfig, filename: string): void;
export declare function cachedCompilation(props: CompileProps): Promise<CompileResult>;
export {};
